OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKLCAF
TNaming

# TNaming_MapOfNamedShape Class Reference

`#include <TNaming_MapOfNamedShape.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TNaming_MapOfNamedShape (const Standard_Integer NbBuckets=1)
Standard_EXPORT TNaming_MapOfNamedShape & | Assign (const TNaming_MapOfNamedShape &Other)
TNaming_MapOfNamedShape & | operator= (const TNaming_MapOfNamedShape &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~TNaming_MapOfNamedShape ()
Standard_EXPORT Standard_Boolean | Add (const Handle(TNaming_NamedShape)&aKey)
Standard_EXPORT Standard_Boolean | Contains (const Handle(TNaming_NamedShape)&aKey) const
Standard_EXPORT Standard_Boolean | Remove (const Handle(TNaming_NamedShape)&aKey)
## Private Member Functions
Standard_EXPORT | TNaming_MapOfNamedShape (const TNaming_MapOfNamedShape &Other)

## Constructor & Destructor Documentation

Standard_EXPORT TNaming_MapOfNamedShape::TNaming_MapOfNamedShape | ( | const Standard_Integer | NbBuckets = `1` | ) |

TNaming_MapOfNamedShape::~TNaming_MapOfNamedShape | ( |  | ) | `[inline]`

Standard_EXPORT TNaming_MapOfNamedShape::TNaming_MapOfNamedShape | ( | const TNaming_MapOfNamedShape & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Boolean TNaming_MapOfNamedShape::Add | ( | const Handle(TNaming_NamedShape)& | aKey | ) |

Standard_EXPORT TNaming_MapOfNamedShape& TNaming_MapOfNamedShape::Assign | ( | const TNaming_MapOfNamedShape & | Other | ) |

Standard_EXPORT void TNaming_MapOfNamedShape::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean TNaming_MapOfNamedShape::Contains | ( | const Handle(TNaming_NamedShape)& | aKey | ) | const

void TNaming_MapOfNamedShape::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TNaming_MapOfNamedShape::operator new | ( | size_t | size | ) | `[inline]`

void* TNaming_MapOfNamedShape::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

TNaming_MapOfNamedShape& TNaming_MapOfNamedShape::operator= | ( | const TNaming_MapOfNamedShape & | Other | ) | `[inline]`

Standard_EXPORT Standard_Boolean TNaming_MapOfNamedShape::Remove | ( | const Handle(TNaming_NamedShape)& | aKey | ) |

Standard_EXPORT void TNaming_MapOfNamedShape::ReSize | ( | const Standard_Integer | NbBuckets | ) |

The documentation for this class was generated from the following file:

- TNaming_MapOfNamedShape.hxx